#!/bin/sh
#  This program is make a "rpm package".
#
#               Copyright (C) 1999 Sony Corporation
#               All Rights Reserved
#
#               Author:fuse@sm.sony.co.jp
#

echo
echo "::::: This program is make a rpm package. :::::"
echo "::::: STEP 3 ::::::::::::::::::::::::::::::::::"
echo make extract sources to rpm directory.
WORKDIR=${WORKDIR:-/var/tmp/setnvram}
RPMBASE=/usr/src/RPM
BUILD=${RPMBASE}/BUILD
VERSION=${VERSION:-1.0}
REVISION=${REVISION:-1}

XPWD=`pwd`

if [ ! -r ${WORKDIR}/setnvram-${VERSION}.tar.gz ]
then
        echo run tarrpmsrc.sh first.
        exit 1
fi

mkdir -p ${BUILD}/setnvram-${VERSION}
rm -rf ${BUILD}/setnvram-${VERSION}/*
mkdir -p ${BUILD}/setnvram-${VERSION}.orig
rm -rf ${BUILD}/setnvram-${VERSION}.orig/*
cp ${WORKDIR}/setnvram-${VERSION}.tar.gz ${BUILD}/setnvram-${VERSION} 
cp ${WORKDIR}/setnvram-${VERSION}.tar.gz ${BUILD}/setnvram-${VERSION}.orig

cd ${BUILD}/setnvram-${VERSION}/
tar xzf ${BUILD}/setnvram-${VERSION}/setnvram-${VERSION}.tar.gz

cd ${BUILD}/setnvram-${VERSION}.orig/
tar xzf ${BUILD}/setnvram-${VERSION}.orig/setnvram-${VERSION}.tar.gz

echo "End of STEP3"
echo "make new change for rpm in ${BUILD}/setnvram-${VERSION}/".
echo "Please Execute mkrpmpatch.sh" 

exit 0
