#!/bin/csh
#
#

set ROOT=/usr/src/RPM

if ( $# < 2 ) then
	echo "usage: $0 VersionNo ReleaseNo"
	exit -1
endif

set DIRNAME=$PWD:t

set VERSION=$1
set RELEASE=$2
set PREFIX=$DIRNAME-$VERSION
set PREFIX_DIR=$PREFIX

set __PWD=$PWD

cd .. 
	if ( ! -e $PREFIX_DIR ) then
	    ln -s ee_powctrld $PREFIX_DIR
	endif

	set TGTFILE=$ROOT/SOURCES/$PREFIX.tar.gz
	echo -n "Making $TGTFILE ... "
	tar czhvf $TGTFILE ./$PREFIX_DIR
	echo "done."

	rm -f $PREFIX_DIR

cd $__PWD

