Summary: Creates PS2 Linux boot Memory Card
Name: mkbootmc
%define version 1.0
Version: %{version}
Release: 1
License: GPL
Group: System Environment/Base
Source: mkbootmc-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The mkbootmc program creates a PS2 Linux boot Memory Card for
booting the running system.  The created Memory Card will look for the
root filesystem on the device mentioned in /etc/fstab.

%prep
%setup -q -n $RPM_PACKAGE_NAME-1.0 -c

%install
rm -rf $RPM_BUILD_ROOT
cd mkbootmc
make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkbootmc
/usr/man/man8/mkbootmc.8

%changelog
* Mon Mar 21 2001 Hiroaki Fuse <fuse@sm.sony.co.jp>
- initial version
