#!/bin/sh
#  This program is make a "rpm package".
#
#               Copyright (C) 1999 Sony Corporation
#               All Rights Reserved
#
#               Author:fuse@sm.sony.co.jp
#
echo
echo "::::: This program is make a rpm package. :::::"
echo "::::: STEP 4 ::::::::::::::::::::::::::::::::::"
echo make patchfile
VERSION=${VERSION:-1.0}
REVISION=${REVISION:-1}
WORKDIR=${WORKDIR:-/var/tmp/setnvram}
RPMBASE=/usr/src/RPM
BUILD=${RPMBASE}/BUILD
LOGDIR=/var/log/setnvram

XPWD=`pwd`

# make patch
cd ${BUILD}
diff -uNr setnvram-${VERSION}.orig setnvram-${VERSION} > ${RPMBASE}/SOURCES/setnvram-${VERSION}-${REVISION}.patch
if [ ! -s ${RPMBASE}/SOURCES/setnvram-${VERSION}-${REVISION}.patch ]
then
	echo "                       " > ${RPMBASE}/SOURCES/setnvram-${VERSION}-${REVISION}.patch
fi

# cleanup
rm -rf setnvram-${VERSION}.orig setnvram-${VERSION}

cd ${XPWD}
if [ -r setnvram-${VERSION}-${REVISION}.patch ]
then
        mv setnvram-${VERSION}-${REVISION}.patch setnvram-${VERSION}-${REVISION}.patch.OLD
fi
cp -p ${RPMBASE}/SOURCES/setnvram-${VERSION}-${REVISION}.patch .

echo "END STEP 4"
echo "run mkpackages.sh"
exit 0

