/*
 *	setnvram.h
 *
 *			Copyright (C) 1999 Sony Corporation
 *			All Rights Reserved
 */

#ifndef _SETNVRAM_H
#define _SETNVRAM_H

/* nvramlib.h */

void split_var(unsigned char *nvram, char **list);
char *get_var(char *var, char **list);
void set_var(char *var, char **list);
int pack_var(unsigned char *nvram, int size, char **list);

/* nvramlinux.h */

int open_nvram(void);
int close_nvram(void);
int init_nvram(void);
int read_nvram(unsigned char *nvram, int size);
int write_nvram(unsigned char *nvram, int size);

#endif	/* _SETNVRAM_H */
